<?

	// functions.inc.php
	// This file belongs to easyNews by www.easyscripts.de.vu

	// Define all functions that are needed for operation

	// Define BB-code that replaces smilies etc.

function bbcode ($entry)
{
	$entry = eregi_replace("\[b\]","<b>",$entry);
	$entry = eregi_replace("\[/b\]","</b>",$entry);
	$entry = eregi_replace("\[i\]","<i>",$entry);
	$entry = eregi_replace("\[/i\]","</i>",$entry);
	$entry = eregi_replace("\[u\]","<u>",$entry);
	$entry = eregi_replace("\[/u\]","</u>",$entry);
	$entry = eregi_replace("\[img\]([^\[]+)\[/img\]","<img src='\\1' border='0'>",$entry);
	$entry = eregi_replace("\[mail\]([^\[]+)\[/mail\]","<a href='mailto:\\1'>\\1</a>",$entry);
	$entry = eregi_replace("\[url=&quot;","[url=\"",$entry);
	$entry = eregi_replace("&quot;\]","\"]",$entry);
	$entry = eregi_replace("\[url=\"([^\"]+)\"]([^\[]+)\[/url\]","<a href='\\1' target='_blank'>\\2</a>",$entry);
	$entry = preg_replace("/".preg_quote(":)")."/","<img src='./img/smile.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":(")."/","<img src='./img/frown.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(";)")."/","<img src='./img/wink.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":D")."/","<img src='./img/happy.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":P")."/","<img src='./img/tongue.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":]")."/","<img src='./img/bigsmile.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":mad:")."/","<img src='./img/angry.gif'>",$entry);
	$entry = preg_replace("/".preg_quote("|)")."/","<img src='./img/chinese.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":rolleyes:")."/","<img src='./img/eyes.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":kotz:")."/","<img src='./img/kotz.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":O")."/","<img src='./img/openmouth.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":sick:")."/","<img src='./img/sick.gif'>",$entry);
	$entry = preg_replace("/".preg_quote(":smoke:")."/","<img src='./img/smoking.gif'>",$entry);
	$entry = preg_replace("/".preg_quote("8)")."/","<img src='./img/brille.gif'>",$entry);
	return $entry;
}

function bword($str,$cols,$non_prop,$cut,$exclude1,$exclude2){
	$count=0;
	$tagcount=0;
	$str_len=strlen($str);
	//$cut=" $cut ";
	$calcwidth=0;
	
	for ($i=0; $i<=$str_len;$i++)
	{
		$str_len=strlen($str);
		if ($str[$i]==$exclude1)
		{
			$tagcount++;
		}
		elseif ($str[$i]==$exclude2)
		{
			if ($tagcount>0)
			{
				$tagcount--;
			}
		}
		else
		{
			if (($tagcount==0))
			{
				if (($str[$i]==' ') || ($str[$i]=="\n")) $calcwidth=0;
			
				else
				{
					if ($non_prop)
					{
					if (ereg("([QWOSDGCM#@m%w]+)",$str[$i],$matches))
						$calcwidth=$calcwidth+7;
					elseif (ereg("([I?|()\"]+)",$str[$i],$matches))
						$calcwidth=$calcwidth+4;
					elseif (ereg("([i']+)",$str[$i],$matches))
						$calcwidth=$calcwidth+2;
					elseif (ereg("([!]+)",$str[$i],$matches))
						$calcwidth=$calcwidth+3;
					else
					{
						$calcwidth=$calcwidth+5;
					}
					}
					else
					{
						$calcwidth++;
					}
					if ($calcwidth>$cols)
					{
					$str=substr($str,0,$i-1).$cut.substr($str,$i-1,$str_len-1);
					$calcwidth=0;
				}
			}
		}
	}
}
  return $str;
  // moby rules at 5am!
}

	// Define function for saving

function save($datei, $eintragen) 
{
	$fp = fopen($datei, "w"); 
	fwrite($fp, $eintragen); 
	fclose($fp); 
}

	// Function to replace \n with <br>

function my_nl2br ($text)
{
	$retvalue="";
	for ($ii=0; $ii < strlen($text); $ii++)
	{
		if ($text[$ii]!=chr(13))
		$text[$ii]=="\n" ? $retvalue .= "<BR>" : $retvalue .= $text[$ii];
	}
	return $retvalue;
}

	// Function to replace , with &komma; for not corrupting the database

function komma ($text)
{
	$text = ereg_replace(",","&komma;",$text);
	return $text;
}

	// Function to replace &komma; back to , for display

function kommaback ($text)
{
	$text = ereg_replace("&komma;",",",$text);
	return $text;
}

	// Function that defines the admin-menu

function adminleiste ()
{
	echo"
	<div align='center'><p class='headline'>easyNews Administration</p>
	<p class='system'><a href='".$HTTP_SERVER_VARS['PHP_SELF']."?action=admin&do=addnews&".session_name()."=".session_id()."'>News hinzuf&uuml;gen</a> 
	| <a href='".$HTTP_SERVER_VARS['PHP_SELF']."?action=admin&do=editnews&".session_name()."=".session_id()."'>News bearbeiten/l&ouml;schen</a> | <a href='".$HTTP_SERVER_VARS['PHP_SELF']."?action=admin&do=viewcategories&".session_name()."=".session_id()."'>Kategorien bearbeiten/l&ouml;schen</a> | <a href='".$HTTP_SERVER_VARS['PHP_SELF']."?action=admin&do=design&".session_name()."=".session_id()."'>Design anpassen</a> | <a href='".$HTTP_SERVER_VARS['PHP_SELF']."?action=admin&do=logout&".session_name()."=".session_id()."'>Ausloggen</a> | <a href='".$HTTP_SERVER_VARS['PHP_SELF']."?".session_name()."=".session_id()."'>zur&uuml;ck zu den 
	News</a></p></div>";
}

?>